Subject: Re: [PATCH v2 4/4] mm/vmalloc: Hugepage vmalloc mappings

From: Christoph Hellwig <[email-masked]>
Date: Tue, 14 Apr 2020 06:02:03 -0700

On Tue, Apr 14, 2020 at 10:13:44PM +1000, Nicholas Piggin wrote:
> Which case? Usually the answer would be because you don't want to use
> contiguous physical memory and/or you don't want to use the linear 
> mapping.

But with huge pages you do by definition already use large contiguous
areas.  So you want allocations larger than "small" huge pages but not
using gigantic pages using vmalloc?